> For the complete documentation index, see [llms.txt](https://docs.papayaglobal.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.papayaglobal.com/api-reference/groups-management/update-a-payment-group.md).

# Update A Payment Group

The API is utilized to modify the Payment Group information.

<mark style="color:orange;">**`PUT`**</mark> /payments/groups/{id}

**Body Parameters Request**

| Name        | Location | Type   | Description                                | Required |
| ----------- | -------- | ------ | ------------------------------------------ | -------- |
| id          | url path | string | Existing Group ID.                         | Yes      |
| name        | body     | string | An updated name to give the group.         |          |
| description | body     | string | An updated description to give the group.  |          |
| user\_tags  | body     | object | A set of k/v pairs to assign to the group. |          |

**Body parameters Response**

| Name        | Type    | Description                                             |
| ----------- | ------- | ------------------------------------------------------- |
| description | string  | Extended description of group                           |
| id          | string  | Unique id of group                                      |
| locked      | boolean | When locked, no new actions can be made                 |
| name        | string  | Visual name of group                                    |
| type        | string  | entity type (group)                                     |
| user\_tags  | object  | A set of k/v pairs of user tags to assign to this group |
| wallet      | string  | id of wallet this group is associated with              |

**Request Example**

```json
PUT /payments/groups/b48c3f38-9278-41a3-b101-444f20fce982
{  
  "description": "An updated description",  
  "user_tags": {
    "cycle":"2024-02",
    "approved_by":"John Doe"
  }
}
```

**Response**

{% tabs %}
{% tab title="200 - OK" %}

```json
{
  "type": "group",
  "id": "b48c3f38-9278-41a3-b101-444f20fce982",
  "description": "An updated description",
  "wallet": "f6b2776d-53f4-404e-a690-c3766a91d43a",
  "name": "February USD cycle",
  "user_tags": {
    "cycle": "2024-02",
    "approved_by": "John Doe"
  }
}
```

{% endtab %}

{% tab title="404 - - Not Found" %}

```json
{
   "error": "not_found",
   "description": "Could not find entity with id 98453dfb-fac7",
   "error_code": 404,
   "sub_code": 1000,
   "error_info": {
      "error": "not_found",
      "description": "Could not find entity with id 98453dfb-fac7",
      "error_code": 404,
      "sub_code": 1000
   }
}
```

{% endtab %}
{% endtabs %}
